/*
  Bear Engine

  Copyright (C) 2005-2008 Julien Jorge, Sebastien Angibaud

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  contact: plee-the-bear@gamned.org

  Please add the tag [Bear] in the subject of your mails.
*/
/**
 * \file negative_effect.hpp
 * \brief Change all pixels of an image by their negative value.
 * \author Julien Jorge
 */
#ifndef __VISUAL_NEGATIVE_EFFECT_HPP__
#define __VISUAL_NEGATIVE_EFFECT_HPP__

#include "visual/screen_effect.hpp"

#include "visual/class_export.hpp"

namespace bear
{
  namespace visual
  {
    /**
     * \brief Change all pixels of an image by their negative value.
     * \author Julien Jorge
     */
    class VISUAL_EXPORT negative_effect: public screen_effect
    {
    public:
      virtual void apply( claw::graphic::image& image );
    }; // class negative effect
  } // namespace visual
} // namespace bear

#endif // __VISUAL_NEGATIVE_EFFECT_HPP__
